com.tibbo.aggregate.common.datatable.encoding

## Class JsonEncodingHelper

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.encoding.JsonEncodingHelper

-     public class JsonEncodingHelper
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JsonEncodingHelper.EscapeJsonWithoutUnicode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VALUE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonEncodingHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableFormat` | `calculateTableFormat(org.json.simple.JSONObject jsonObject, boolean convertUnequalFieldTypesToString, boolean innerDataTable, boolean implicitCasting)`
    `static TableFormat` | `calculateTableFormat(org.json.simple.JSONObject jsonObject, boolean convertUnequalFieldTypesToString, boolean innerDataTable, boolean implicitCasting, java.util.Collection<FieldFormat> defaultFieldFormats)`
    `static void` | `fillDataTableWithArray(org.json.simple.JSONArray jsonArray, DataTable dataTable, boolean innerDataTable)`
    `static void` | `fillDataTableWithObject(org.json.simple.JSONObject jsonObject, DataTable dataTable, boolean innerDataTable)`
    `static DataTable` | `tableFromJson(java.lang.String payload, boolean convertUnequalFieldTypesToString)`
    `static java.lang.String` | `tableToJson(DataTable payload)`
    `static java.lang.String` | `tableToJson(DataTable payload, boolean convertLongToString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_FIELD

          public static final java.lang.String VALUE_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JsonEncodingHelper

          public JsonEncodingHelper()

  - ### Method Detail

    - #### tableToJson

          public static java.lang.String tableToJson(DataTable payload)

    - #### tableToJson

          public static java.lang.String tableToJson(DataTable payload,
                                                     boolean convertLongToString)

    - #### tableFromJson

          public static DataTable tableFromJson(java.lang.String payload,
                                                boolean convertUnequalFieldTypesToString)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateTableFormat

          public static TableFormat calculateTableFormat(org.json.simple.JSONObject jsonObject,
                                                         boolean convertUnequalFieldTypesToString,
                                                         boolean innerDataTable,
                                                         boolean implicitCasting)

    - #### calculateTableFormat

          public static TableFormat calculateTableFormat(org.json.simple.JSONObject jsonObject,
                                                         boolean convertUnequalFieldTypesToString,
                                                         boolean innerDataTable,
                                                         boolean implicitCasting,
                                                         java.util.Collection<FieldFormat> defaultFieldFormats)

    - #### fillDataTableWithObject

          public static void fillDataTableWithObject(org.json.simple.JSONObject jsonObject,
                                                     DataTable dataTable,
                                                     boolean innerDataTable)

    - #### fillDataTableWithArray

          public static void fillDataTableWithArray(org.json.simple.JSONArray jsonArray,
                                                    DataTable dataTable,
                                                    boolean innerDataTable)